{% block main %}
{% load static %}
{% load crispy_forms_tags %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>

<!-- Modal -->
<div class="modal fade" id="{{ modal_id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">{{ modal_title }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <form id="form-{{ modal_id }}">
              {% csrf_token %}
              {{ form|crispy }}
          </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="submit" form="form-{{ modal_id }}" class="btn btn-primary">Создать</button>
      </div>
    </div>
  </div>
</div>

<script>
    $(function(){
    $('#form-{{ modal_id }}').on('submit', function(e){
        e.preventDefault();
        $.ajax({
            url: "{{ action_url }}", //this is the submit URL
            type: 'POST', //or POST
            data: $('#form-{{ modal_id }}').serialize(),
        }).done(function (data) {
            $('#{{ modal_id }}').modal('toggle')
            {% include 'utils/alerts/success.js' with message="Отчет отправлен на обработку, ожидайте" %}
        })
    })
});
</script>
    {% block custom_js %}
    {% endblock %}
{% endblock %}